Help HomePage

DancerDNA Help

Welcome to the DancerDNA helpfiles.

Imagine a world where life evolves to music. Dancer DNA brings together your computer, music, evolutionary theory, and fast 3D-graphics to enable you to evolve infinite, bizarre creations which dance.

Evolve on the bass-line; move on the vocals; strobe on the highhats. Dancer DNA animations create a compulsive complement to music by dancing to the changing patterns of sound.

Use some of the creations we provide and an animation is only a click away. Or you can evolve your own. It's easy; all Dancer DNA asks of you is - do you like this creature, or do you like that one?

It's as if Dancer DNA lets you paint not with paints, but with the paintings themselves. Guided only by your sense of beauty, whole populations of 3D forms can be generated and then set dancing to your audio CDs.

We use the best populations in projections at clubs and gigs. A diary of events is posted on the website www.dancerdna.com - along with new species, updates, and news. If any of your animations take our fancy we'll use them! Prizes are available for animations we use in performance.

So breed and mutate; who knows what you'll create.

About DancerDNA Help

DancerDNA Help is split into two sections: the manual describes key concepts, and the reference section explains all the controls. Pages you will probably want to look at include...
  • Getting Started guides you through the steps needed to get something dancing.
  • A FAQ for any teething problems.
  • Evolving Creatures
  • Dance Settings shows you how to control the creatures' dance.
  • Animating provides advice on generating fast and responsive animations.
  • New Features for those upgrading from earlier versions of Dancer DNA.


New

New Features

New Features for Version 1.2

Improved "getting started"

It's now easier to get started with Dancer DNA by using the Start Wizard. The Start Wizard makes sure you are getting an acceptable audio signal, then loads a population to animate. Just follow the on-screen instructions and your first creature will soon be dancing!

Textures and Backgrounds.

Textures and Backgrounds - Animate menu New clothes for old favourites; no more black backgrounds. Finally, texture maps and bitmap backgrounds are here! They're stored as part of the population, so each population can be individually tailored with the 'Textures and Backgrounds' dialog from the Animate menu.

Backgrounds will work with populations old and new. Texture maps, however, have to be written into the populations, so only populations prepared for version 1.2 can run texture maps. These are available from our website www.dancerdna.com.

  • See Textures and Backgrounds for more...

    Improved response to music.

    We reckon we've again significantly improved Dancer DNA's response to music with a whole new set of music styles. We've not tied these to particular types of music - the new styles just seem to speak for themselves. On installation you'll find them linked to the F2 to the F12 key. Try them and see.

    It's also easier for you to set your own styles now that we've finally implemented displays in the Dance Settings dialog to give you immediate feedback on your settings.

    Real Time Music Styles Dialog Now you can nominate eleven styles ( and link them to the F2-F12 keys) to be Real Time Styles.

    Run time controls Additionally, all the dance settings can be changed real time with various keys and mouse movement.

  • See Run Time Controls for more...

    New Dance Settings

    Rot2D Tab - Dance Settings Dialog This spins the shape in only one dimension, face-on, and gives an effect like a kaleidoscope for a lot of shapes. Since many early species were not saved 'face-on' we've had to turn them around (in code I'm afraid) and rerelease them for version 1.2. All pops on the website www.dancerdna.com are now fully 1.2 compatable.

    Morph Reverse Tab - Dance Settings Dialog This allows you to trigger the animation to move either backwards and forwards through the morph space.

    Easier graphical manipulations of populations.

    Move Up/Move Down - Edit Menu You can now move creatures in a population to be in whatever order you want. This allows you to engineer the order in which the population dances.

    New features for the "Genetic Engineer"

    Import - File menu Import has been extended to import .dna files. This is useful for the "Genetic Engineer" that programs the .dna of the creatures. No longer do you have to first use the MakePop conversion utility to import a .dna file.

    New set_texture call in the genetic description language There is a new call to set textures described in Textures and Backgrounds.

    New Features for Version 1.1

    Improved response to music.

    Real Time Music Styles - Animate menu and Real Time Music Styles dialogue Change how Dancer DNA responds to the music as it is dancing in full screen with the F4 to F8 keys. You can assign a music style to each key and so take control of how Dancer DNA responds to your music. Make it rotate gently through the intro, and then strobe through the climax.

    Save Music Style/Save Music Style As.../Delete Music Style - File menu You can now create your own music styles from scratch and have them listed under the music styles list. It’s as easy as pressing ‘Save Music Style As...’

    We’ve now completely split music styles from population files. It makes their logic much clearer, and they’re now easy to use and to customise to your music. (We’ve also got rid of the irritating bug which had the tendency to reset Min Spin Speed and Stability to zero.)

    New Music Styles - Music style control Now that Dancer DNA is more responsive to the music we’ve added some new music styles to show off its flexibility. The strobe style, for example, flicks the beasties up to the front of the screen on the rimshot; the orbit style leaves a creature slowly rotating without evolving. Such styles are best used when linked to the F keys as real-time music styles.

    MP3 support - Animate dialogue Dancer DNA has always worked with MP3 players, but previously it was a real hassle to configure Windows to record from Wav inputs. Dancer DNA now does this automatically for when you select the MP3 option.

    Improved evolution.

    Breed - Evolve menu and toolbar At last, at last: separate breed and mutate operators. The new breed operator allows you to ‘cross’ the genes of two or more beasties. If you like the colour of one, and the shape of another, breed them together and hope one of their children gets the right share-out of genes.

    Keep/Cut Parents - Evolve menu With the keep parents option you can minimise the impact of a disappointing generation - the parents are kept in the new population. No more dead-end populations.

    Improved ease-of-use.

    Automatic Source Selection - Animate menu Automatic Source Selection now comes as the default setting with Dancer DNA. If you choose the CD Player or MP3 options on the Animate dialog Dancer DNA will automatically configure Windows to pass it the right music feed. No more fiddling about with the Windows Volume Control!

    Sensitivity boost - Up/Down arrows and Home key on keyboard Quiet part of a song producing disappointing results? Got a soundcard that hardly seems to push out any volume? You can now change Dancer DNA’s sensitivity at run-time with the Up/Down arrow keys and so find exactly the right sensitivity level to get an expressive animation.

    Improved Installation Procedure

    We’ve now fixed the installation routine so that Dancer DNA will always faultlessly install over LANs and any other networked environments.


Getting Started

Start Wizard

The start wizard will automatically launch on the first use of Dancer DNA. It will continue to launch on startup until the tickbox is checked. You can also get to the start wizard at any time by selecting 'Start Wizard' from the 'Help' menu.

Please ensure that you launch your CD player from the Start Wizard. This allows Dancer DNA to automatically calibrate your Windows Volume Control. The Start Wizard then helps you make sure that your CD audio is loud enough for a creature to respond.

Just follow the on-screen instructions. When the GO button becomes live click it to start the creature dancing. Hit the Escape key to return from the dance.

Quick Start - without the Start Wizard

To start creatures dancing on your own, follow these steps.

  1. Open a population from the ‘File’ menu by clicking on ‘Open’ and selecting a .pop file from the ‘pops’ folders. This may take a few moments.
  2. Click ‘Animate’. The Animate dialog will now open and Dancer DNA will automatically start generating a genespace for the animation.
  3. Click the ‘Launch Audio CD’ button on the Animate dialog. (Dancer DNA will also work to MP3 files and line inputs.)
  4. When the GO button becomes live, press play on your CD player to set your audio CD playing, and press GO. Dancer DNA will now launch the dance.
  5. To return from the dance press the Escape key.

"All I can see is a speck in the distance..."

Much rarer than it used to be, but if your animation is just a speck in the distance, try the following:

  • While the animation is in full screen cycle through the F keys and see if any of the music styles are picking up on the music. If this doesn't work then:
  • Increase the sensitivity boost. If this doesn't work then:
  • Configuring your Windows Volume Control manually. (It's very easy!). If this doesn't work then:
  • Perhaps the FAQ can sort you out. Otherwise send us an e.mail at support@nottinghill.com

Moving On

Dancer DNA encourages you to create your own populations and your own music settings, and so generate your own animations.

To change how the creature evolves, read the Evolving Creatures section.

To alter how the creature dances to the music, read the Creating Dance Styles and Real Time Music Styles sections.

If you want to create your own creatures - it can be done. DancerDNA has a powerful parser allowing you to create your own shapes; but it will take a little while to master. Have a look at the Creating Species section on our website www.dancerdna.com and pull down the relevant download.

(There is a description of the new call to set textures in Textures and Backgrounds).


Population Control

Selection

Selection pushes evolution remorselessly on. In the world of flesh and blood, the grim reaper marks out who lives to pass on their genes, and who dies. But in Dancer DNA it is you, the user, who decides which genes survive into the next generation.

Dancer DNA invites your aesthetic sense to perform the function of natural selection.

Once loaded, a population can be bred and mutated, using the buttons on the evolution toolbar.

Evolving a Population

Select a Parent by clicking on the frame of an individual's window, which will change colour to indicate it has been selected. (This can be quite tricky because sometimes the frames are pretty small). At this point the 'Mutate' button will become active.

Set the mutation rate by clicking or dragging the slider; to the left for a low mutation rate, and to the right for more mutation.

Click on the 'Mutate' button.

Breeding between individuals

Select two individuals by holding the 'CTRL' key as you click on their frames.

Click the Breed button.

Adding individuals

The 'Add' button, not surprisingly, adds an individual window to the population. The window starts out empty, so you'll need to 'Mutate' or 'Breed' once to fill it up.

Keeping or Losing Parents

To retain a sense of continuity down the generations select one to two individuals. By default, Dancer DNA will retain your selected creatures - the parents - into the next generation. You can stop them from carrying over by choosing the 'Cut Parents' option under the Evolve menu.

Fine Control of Populations

If you want to be careful with which creatures you allow into the final animation then a two window approach is best. Open a new window, and as you breed individuals in the first window, copy and paste your favourites into the second. Currently this is the only way of ordering creatures as you would like. (The order is important because the animation is generated left to right across the population with the last one looping back to the first.)

Note. Don't mix individuals of different types in a population window, as they won't mutate or animate properly.


Selecting Run Time Musical Styles

Setting Real Time Music Styles

The Real Time Music Styles Dialog, reached from the Animate Menu, allows you to choose which music styles will be available during run time.

You can also create your own styles. Dancer DNA allows you to closely tie your animations to your music through creating your own music styles. You can make changes to the currently selected style by pressing the Dance Settings button. You can then save your changes under the same name or create an new style using the 'Save As...' option under the File menu.

To create your own musical styles see Creating Dance Styles.


Dance Setting

Creating Musical Styles

Each music style presented in the selection box sets a number of triggers which control how animations respond to the music. One style might, for example, set the animation to evolve on the bass-line, rotate on the vocal, and move with the volume.

Each style has been optimised for a particular type of music. However, each track is different, and if the obvious style is not working just try another. If your type of music is not mentioned it's time to create your own style...

Creating your own musical style

  1. Select the musical style your style will be based on by choosing one from the drop down list.
  2. Click on the Dance Settings Button. This will bring up the Real Time Music Styles Dialog.

In this dialog are all the settings which determine how the animation will react to the music.

There are currently six pages (or tabs) to this dialog, but a lot of the buttons perform a similar function. Looking at the first page, the Morph Tab it is split into two sections.

The bottom half of the page is the same for all the pages and controls the sound input. The top half is different for each page and deals with the effects of the channel input. Let's look at the bottom half first - the Input controls.

The Input Controls

Overview

Each different effect is triggered by the volume of the selected music channel. A music channel is, generally, a specific frequency of the music (similar to the individual bands in a graphic equaliser). The raw input from this channel is multiplied by the Sensitivity value and subtracted by the Threshold value. This processed value, which is used to trigger effects is then displayed in the volume control.

Volume Display Bar

New to this version of DancerDNA is the Volume Display Bar. This is the vertical bar just above the Music Channel control. What it does is display the current channel input after processing by the Sensitivity and Threshold Controls.

If you're not already playing some music, do so now. If all goes according to plan you should be seeing some movement in the volume bar.

If there is no movement and the bar is all red (or orange), then the channel is always on. Try reducing the sensitivity value - see below. If the bar is always white then no input is getting through. First try increasing the sensitivity to 100 and reducing the threshold to zero. If still nothing happens (and you can hear music coming out of your speakers) then there might be a deeper problem, and you should go to the Support FAQ, or to Sound which should be able to help.

Channel Selection

Generally, the base Channels (the ones at the top of the list) give the best response to the music. Additionally, there are Volume Channels at the bottom of the list which give the overall volume.

Music Sensitivity Slider

The sensitivity value is used to amplify the incoming signal. The larger you set this value the louder the apparent signal will be. If the volume control is red all (or most) of the time you can often improve your trigger effect by reducing this value.

Fine Sensitivity Slider

This slider works in the sensitivity value (as with the last control), but deals with the fractional part of it. It is normally only useful when the Music Sensitivity Slider is set to zero (this will happen if you have a strong incoming signal).

Threshold

The value from this slider is subtracted from the incoming signal. The effect of this control is quite subtle, and broadly speaking, tends to increase the rapidity at which the volume control rises and falls. This is useful with triggers which use a flip flop mechanism, like Axis Stability.

Calibrating Your Channel

Normally, you want the volume bar to be changing in time to the music - the more often the volume changes, the more responsive the music should be. The easiest way to calibrate a channel is as follows:
  1. Set the Threshold value to 0. Increase it slightly if the volume bar is moving when there is no noise.
  2. Set the Fine Sensitivity to maximum.
  3. Set the Music Sensitivity to 0. This should give a Sensitivity reading of about 0.99.
Now look at the volume control; one of two cases should be happening.

Either the volume is not reaching the maximum (make sure your current song is going strong), in which case increase the Music Sensitivity.

Or it's too loud (always at max), in which case, gradually decrease the Fine Sensitivity Slider.

If you want to increase the speed at which the volume rises and falls, increase the Threshold value; to keep the resulting volume at the same value as before, increase the Sensitivity slightly.

Saving Your Style

At this point it's probably worth saving your Music Style. Close the Dialog by clicking on the OK button. Then select Save Music Style As... from the File menu. Your new style name will now show up as the selected music style.

Output Controls

These tend to be more varied than the input controls, but there are some similarities, which will be explained here.

Flip Flopping Controls (aka Stability Controls)

The Axis Stability, Morph Reverse and Rotate 2D tabs all have stability controls on them and all work in the same way. DancerDNA uses these controls to generate a single event from the continuously changing input volume.

For example, with Axis Stability, when it triggers, the shape changes its rotational axis once.

The simplest case to look at first is if the stability slider is set at 100. In this case an axis change occurs whenever the channel input reaches maximum (i.e. the volume control is all red), and again when the input reaches zero (volume control all white). If Stability is set at 75, then an axis change occurs when the volume reaches 75 percent. If Stability is set at 50, then there will be two axis changes as the volume goes from zero to maximum (at the half way mark and at 100 percent), and another two as it drops.

Back to the Dance Settings Dialog

Here's a quick overview of the pages, check the links for a more detailed breakdown.

The Morph Tab controls how the animation evolves through the song.

The Zoom Tab controls the size animation, when the trigger is off, the shape zooms away from the camera.

The Axis Stability Tab controls when the rotation of the animation changes axis.

The Spin Tab controls the speed at which the animation rotates.

The Morph Reverse Tab controls in which direction the animation evolves.

The Rotate 2D Tab causes the animation to rotate in a 2 dimensional axis.


Textures

Textures and Backgrounds

Overview

When a population is loaded, you can access the 'Textures and Backgrounds...' dialog under the 'Animate' menu. This lets you:

  • Turn the background on or off.
  • Turn all the textures on or off.
  • Change the background image or colour.
  • Change the textures on the creatures.

These changes are previewed in the windows, and are applied full size when the creature dances in fullscreen mode. When you save your population, all of these changes will be stored in the .pop file.

By default, unless otherwise set, a population file will have the background and the textures set to <[none]>. This sets the background to the usual black colour, and the creatures to their normal colours. All populations can have can have their backgrounds altered, but only populations that have been designed to associate a texture with a part of the creature, will change if a texture is set or changed.

(n.b. Beasties distributed before the release of version 1.2 can be used with backgrounds. They will not, however, accept texture maps. All creatures released since version 1.2 will work with texture maps. Those with a 'TM' after their name must be used with texture maps.)

Changing backgrounds and textures

The ability to turn textures and backgrounds on and off is separate from setting them to <[none]> because this allows you to store backgrounds and textures in the .pop file and display them only if you want to. By default these are turned on, so that any changes you make to the background and textures will take effect.

To change the background, just select a colour or an image name from the drop down list.

To change a texture, just select an image name from the drop down list. There are four textures listed -- 0, 1, 2, and 3. These numbers correspond to the texture associated with parts of the creature in the population file.

Troubleshooting - If you know a file is textured and you cannot see textures on the creatures in windows mode, try animating, and pressing 'GO', or double click on the window to launch full screen mode. As long as you have 3D hardware acceleration on your AGP card, you should be seeing textures. Textures in windows mode are enabled if 3D hardware acceleration is enabled in Windows mode. Again, if you have a 2D/3D AGP video card, some cards only support hardware acceleration in 16-bit, so try setting your windows display to 16-bit.

Adding your own background and texture images

If you want to create your own images and use them with the populations, do the following:
  • Create your image to be a square of size 2n x 2n. e.g. 64 x 64, 128 x 128, 256 x 256. The background will be stretched to 640 x 480 in fullscreen mode. Note: Some cards only support texture sizes of up to 256 x 256.
  • Make sure your image is 16 or 24-bit, not 8-bit or palletised.
  • Save it as a bitmap (.bmp) file.
  • Place any images you want used as backgrounds into the 'Backgrounds' subdirectory.
  • Place any images you want used as textures into the 'Textures' subdirectory.

Any new textures or backgrounds you place in these directories will automatically be listed in the 'Textures and Backgrounds...' dialog box next time you open it.

Technical bit - Creating your own populations with textures

If you've never created creatures before (using the scripting language), then have a look at the Creating Species section on our website www.dancerdna.com and pull down the relevant download.

If you have already created species and you just want to add textures to the creatures, the following call is similar to the set_colour call.

Function call
set_texture( int texture_number );
Parameters
int texture_number is -1 to indicate no textures or a valid texture number 0, 1, 2, or 3. The texture number corresponds to the textures set for the population file. e.g. texture0 is associated with texture number 0. A value outside the valid range gets set to -1.
Sample ascii pop file that displays a textured ball with a background
pop dancers {
    // BasePop attributes
    // DancerPop attributes
    parents 0
    model_complexity 1
    rendering 0
    frames 140
    looped true
    ease_tween false
    background_on true
    background backgrnd2
    textures_on true
    texture0 t1
    texture1 <[none]>
    texture2 <[none]>
    texture3 <[none]>
    end // DancerPop attributes
    indi dancer {
        // BaseIndi attributes
        // DancerIndiAttributes
        genome dancer {
            // BaseGenome attributes
            // DancerGenome attributes
            prog
            func void main();
            func void main() {
                set_prim([3]);
                set_colour([<1,0,1,0>]);
                set_texture([0]);
                lay();
            }
        }
    }
}


keys

Run Time Controls

Overview

Mostly, the layout of the keys goes like this.
  • Real time music channels are all the function keys
  • Non channel specific keys are scattered about the place
  • Each Channel is enabled/disabled by its number (e.g. 1 for Morph, 6 for Rotate 2D), and buttons effecting that Channel trail down diagonally right (e.g. Zoom, is channel 2, and uses the 'W' and 'S' keys. The first row is mostly to do with On/Off status, the second row generally 'kicks' the channel, and the third is used for odds and sods.

Mouse Controls

You can manually position the shape using the left or right mouse button and dragging.

  • Left Button. Rotate the shape in the direction you drag. After left button dragging the shape it will stop animating, so to start it again press a function key.
  • Right Button. Dragging this up and down will zoom the creature nearer and further. Care must be taken with this feature as it's possible to make the creature never appear by pushing it too far away.

General Keys

  • F1 - F12 keys. Change realtime styles. The F1 key changes to your currently selected realtime style, the rest are set from the realtime music styles dialog.
  • Esc. Exit the animation.
  • Tab. Toggle 'Run Time' information.
  • Backspace. Freeze the animation.
  • Pause. Toggles background on and off.
  • O. Set 'Channel Persistence' off. Normally, if you change music styles, all channels are returned to the on mode. Turn 'Channel Persistence' off, and they aren't changed by the F1 - F12 keys. For example, if you disabled the Zoom channel, with 'Channel Persistence' off, changing music styles would still leave it off.
  • P. Set 'Channel Persistence' on.

  • Up. Increase Sensitivity Boost .
  • Down. Decrease Sensitivity Boost .
  • Home. Reset Sensitivity Boost to 1.
  • Numpad - Increase user defined max zoom (push further away).
  • Numpad + Decrease user defined max zoom (bring nearer)

Morph Keys

  • 1. Disables morphing, press again to enable.
  • Q. Kick Morph. Forces a little morphing.

Zoom Keys

  • 2. Disables Zooming. This causes the shape to travel to its resting distance. Press again to make it return.
  • W. Toggle Resting distance - between 1 and 0 (in your face and far, far away).
  • S. Kick Zoom. Jumps the Shape to maximum zoom.
  • X. Toggles Maximum Zoom. Toggles the maximum zoom between Full and User Defined. When its at User Defined, use the Numpad + and - keys to adjust it.

Spin Keys

  • 3. Not used.
  • C. Toggle Slow Cornering.

Axis Stability Keys

  • 4. Disables stability, shape continues spinning at current rotation.
  • R. Stop the shape rotating. Unless you disable the channel (by pressing '4', then it will start rotating again pretty soon.
  • F. Kick Stability. Start the shape rotating in a random direction (as if a Stability trigger had just happened).

Morph Reverse Keys

  • 5. Toggles Morph Reverse Enabled. This starts out according to the starts enabled button. When this channel is active then it will use the Slow Count to switch itself Off and On.
  • T. Toggles Morph Reverse State. This switch forces Morph Reverse Off if it's On, and vice versa.
  • G. Kick Morph Reverse. Reverses the morph direction

Flat Rotate Keys

  • 6. Toggles Rotate 2D Enabled. This starts out according to the starts enabled button. When this channel is active then it will use the Slow Count to switch itself off and on.
  • Y. Toggles Rotate 2D State. This switch forces Rotate 2D Off if it's On, and vice versa.
  • H. Jump to the Rotate 2D mode facing.
  • N. Set current rotation as the Rotate 2D mode facing. (Use this with mouse dragging).

The Run Time Display

This display is reached using the 'Tab' key during the run time. Its purpose is to give confirmation that DancerDNA is working as expected, and, if you've being pushing lots of keys, to tell you what state DanceDNA is in.
  • Music Style. Currently active music style.
  • Morph Time. Where, in the Morph space the animation is.
  • Speed. The Maximum Morph Speed, and, the current Morph Speed.
  • Active. If the Morph channel is currently enabled.

  • Zoom. Current Zoom. The display bars of this one work in conjunction with the number to the left.
  • Active. If the Zoom channel is currently enabled.
  • Rest Dist. Where the shape will end up if the Zoom Channel is not enabled
  • max. The first value is the current maximum zoom. The second the user defined maximum.

  • Spin. Current Spin trigger. This is only used when the Axis Stability triggers.

  • Axis. Current Axis input.
  • Last. The Axis input last time the Channel triggered. (The difference between this value and the previous determines if it triggers or not).
  • Active. If the Axis stability channel is currently enabled.
  • 2D mode. If the shape is rotating in 2D mode
  • Slow turns. If slow turns are actually happening, and how many frames it takes to turn.

  • Reverse. The Morph Reverse input.
  • Last. The input value the last time Morph Reverse was triggered.
  • Rev. If the current morph direction is forward or backwards.
  • Counting. If the channel is enabled. When enabled it will be switching its effect Off and On according to the Slow Count.
  • Count, Status. Off and On Slow Count status.
  • Rest Status. Whether the effect is active or not.

  • 2D. The Rotate 2D channel input.
  • Last. The input value the last time Rotate 2D was triggered.
  • Counting. If the channel is enabled. When enabled it will be switching its effect Off and On according to the Slow Count.
  • Count, Status. Off and On Slow Count status.
  • Rest Status. Whether the effect is active or not.

  • Persistence. Whether channel realtime customisations are retained with a music style change are not.
  • Sensitivity Boost The current sensitivity boost.


The Volume control

Most computers are already set-up to run Dancer DNA. Some are not. If an animation seems simply to be a speck in the distance, then you have one of the latter. It’s easy, however, to configure them.

Dancer DNA needs to hear the sound passing over your soundcard to get your animation dancing. To do so it uses the standard Windows Volume Control. If your animations are not dancing, follow these steps.

To automatically configure the Volume Control:

1. Ensure that Automatic Source Selection is ticked under the Animate menu.

2. Use the CD Player or MP3 Player options on the Animate dialog.

To manually configure the Volume control:

1. Select the Volume Control under the Start menu. It’s found under Programs, then Accessories, then Multimedia under Windows 95 or Entertainment under Windows 98.

2. If you can hear your music coming through the computer when you play an audio CD please move on to step four. If not, select Properties under the Options menu and ensure that the Playback button is selected and that both the CD Audio and Playback Controls check boxes are ticked. Click OK.

3. With your audio CD playing adjust the slider controls for Playback Balance and CD Audio Balance to a comfortable volume. Check that neither of the mute tick boxes are selected.

4. Select Properties under the Options menu and select the Recording button. Tick the CD Audio check box and click OK.

5. Ensure that CD Audio check box is selected and that its slider is about two-thirds of the way up.

Dancer DNA should now dance. If the results are still disappointing it you may need to boost Dancer DNA's sensitivity. You can do this with the sensitivity boost.


Sensitivity Boost

If, after trying several Music Styles, your creature is still not being stimulated enough by the music then one easy solution is to increase the sensitivity boost.

But first, if your creature is just a speck in the distance, it's worth checking that Dancer DNA is receiving a sound feed. You can do this by pressing Tab while the animation is in full screen and the music is playing. You should see a set of numbers in green. Are they changing? If so, Dancer DNA is receiving a music feed, and you should read on. If not, you should set the Windows Volume Control.

To get rid of the green numbers hit Tab again.

To increase the sensitivity boost you should press the Up-Arrow key on your computer while the creature is dancing. The longer you hold it down, the more the boost increases. The creature's behaviour should become more expressive.

You can also decrease the sensitivity boost by holding down the Down-Arrow key.

You can return to the default sensitivity boost by pressing the Home key on your keyboard.

If you still cannot achieve the desired result then you may need to increase the recording volume settings under the Windows Volume Control or try a different Music Style.

Note: The Sensitivity Boost feature is designed as a runtime tweak to allow VJ's to cope with musical feeds of low volume or whatever. It is better to get the shapes working at a boost of 1 (i.e. no boost), by altering Windows volume controls.

Also, the sensitivity boost is used in the volume control displays in the Dance Settings dialog, even though it's not immediately obvious (well, not at all really), and it is better to calibrate musical styles with the boost at 1, as this will give you most flexibility at a later date.


MP3 Players

Dancer DNA has always worked with MP3 players, but previously it was a real hassle to configure Windows to record from Wav inputs. Dancer DNA now does this automatically for when you select the MP3 option.

If you do have any problems, and Dancer DNA does not seem to be receiving a sound feed, you can still configure Windows manually. In Volume Control, select recording under Options, Properties, and then ensure either wav/synth, mixer out, master out, stereo mix out or wave record balance are selected.


File Menu

Dancer DNA’s creations are kept in documents which can be opened, closed, and saved under the File menu just like ordinary documents. Each document contains a population. To animate or evolve a population, open a ‘Pops’ folder and choose a parent population.

All the creations kept in ‘Pops’ folders have already evolved through many generations, and some have achieved great complexity.

To ensure smooth results on less powerful machines, each of the pops directories that come with Dancer DNA corresponds to a specification combining processor speed and RAM. Dancer DNA will automatically default to the correct folder. However, the only penalties in opening a more complex population are a potential decrease in frame rate - and the likelihood of running out of RAM (which causes jerkiness in the animation as virtual memory is swapped to the hard disk).

Each of the populations that comes with Dancer DNA is a different species. These can then be evolved to create new populations.

New

Creates an empty population.

Open...

Opens or finds a population. As Dancer DNA’s populations live on quite significant amounts of RAM, we recommend you keep as few populations open at the same time as possible.

This population can then be filled using the Paste command to load evolved creations from the clipboard.

Close

Closes the current population.

Save

Saves the active population with its current filename and location.

Save As...

Saves the active population with the filename and location you specify.

Import & Export

This allows you to import .dna (DNA), or .txt (ASCII POP) files, and to export .txt (ASCII POP) files.

These are advanced features that allow you - with a little programming experience - to genetically engineer your own species. Support is available from the Dancer DNA website: www.dancerdna.com.

Hint: If you want to import a file but the option is greyed out, make sure at least one population window is open by using New if necessary. The imported file will replace the currently selected population.

Save Music Style

Saves the dance settings of the currently selected music style.

Save Music Style As...

Saves the dance settings of the currently selected music style under a different name.

Delete Music Style

Permanently deletes the currently selected music style.


Edit Menu

Just as with ordinary documents you can copy, cut, and paste between populations. This can be very useful in generating new animation populations.

As in nature, however, Dancer DNA cannot mix species. Each of the original populations that come with Dancer DNA is a separate species. We would not recommend mixing them.

Cut

Removes selected members of the active population and places them on the clipboard.

Copy

Copies selected members of the active population onto the clipboard.

Paste

Adds the contents of the clipboard to the active population.

Move Up

Moves a selected member or members of the population to be before the member that precedes it. If the selected member is the first in the population, this has no effect. If the intention is to move the first member to the end, select all but the first one, and move them up.

Move Down

Moves a selected member or members of the population to be after the member that follows it. If the selected member is the last in the population, this has no effect. If the intention is to move the last member to the front, select all but the last one, and move them down.


View Menu

Status Bar

Toggles whether DancerDNA displays the status Bar.

Tool Bars

Allows you to hide or show each Toolbar.

Texture Picker

The texture picker allows you a choice of eight designs to texture your Dancer DNA interface. Most of these use a significant amount of RAM, so if you’re using a machine with just 16MB we strongly recommend you used only the default Blue - Low RAM choice.

To improve download times, internet versions of Dancer DNA come with only one texture. However, you can download the other textures separately from the Dancer DNA website: www.dancerdna.com .


Animation Menu

With the Animate menu you set Dancer DNA populations dancing to your own music CDs.

The menu options act as follows:

Animate...

Launches the Animate dialog and creates a genespace through which the population will dance. You will be offered the choice of driving the animation by either music from an audio CD or from an MP3 Player. Please use these buttons to launch your sound source.

Textures and Backgrounds...

Launches the Textures and Backgrounds dialog which lets you turn the background on or off, turn all the textures on or off, change the background image or colour, and change the textures on the creatures.

Number of Frames...

Sets the size of the genespace, i.e. how many creatures are created for an animation.

The higher the number, the smoother the animation. But there is a corresponding increase in the amount of RAM required.

Allowing twenty frames per member of the animation population is a good - but rough and ready - compromise. Increasing the number would generate a smoother animation but is likely to result in a reduction in the size - and thus diversity - of the animation population because of RAM limitations.

Press ‘Enter’ when you have set a value.

Dance Settings...

Launches the Dance Settings dialog. This provides you with the controls to closely link your animation to your music by tweaking the settings of the currently selected music style.

Real Time Music Styles...

Launches the Real Time Music Styles dialog which allows you to select ‘Real Time Music Styles’. These are styles which can be loaded in ‘real time’, i.e. while your creature is dancing. They allow you to change the way a creature is dancing without having to return to windows.

Default Settings

Sets settings to default values automatically calculated from the power of your computer. Should be a safe bet for a smooth dance.

Redo Benchmark

If you have upgraded your computer, please use this command to prompt Dancer DNA to update its information on your configuration.

Automatic Source Selection

Toggles Automatic Source Selection on and off (the default is on).

When used with the CD Player and MP3 Player options on the Animate dialog, the Automatic Source Selection feature sets the correct Windows Volume Control settings.

You may want to dispense with this feature if you are setting your own values.


Evolve Menu

Creates the next generation of the active population by mutating the selected members.

Although Dancer DNA comes with a selection of ready to animate populations, you can also create your own. With the Evolve controls you can make animation populations by evolving lifeforms. These can then be set dancing with the Animate toolbar.

To get started:

1. Open a population from the ‘File’ menu by clicking on ‘Open’ and selecting a .pop file from the ‘pops’ directories.

2. Select a creature from which you wish to generate the next generation by left-clicking on the creature's grey border. The border should turn blue to signify a selected creature.

Hint: To select more than one creature hold down either the shift or control button. You can also select a group of creatures by dragging the mouse from one of the grey borders with the left mouse button held down, over all of the creatures you wish to select.

Hint: Double-clicking on a creature will throw that creature up to full screen. Press ‘Escape’ or double-click again to return to your population.

3. To create the next generation through mutation select 'Mutate' menu item or click the 'Mutate' button on the Evolve toolbar. To create the next generation through breeding select the 'Breed' menu item, or click the 'Breed' button on the Evolve toolbar (you will need to have more than one creature selected in order to use breed). Your selection’s ‘children’ will now replace their parents’ generation and you will have evolved the population through one generation.

Hint: The severity of the mutation between generations is controlled with the mutation factor slider bar. This runs from zero to 100. Set to zero, the children will exactly resemble their parents. Set to 100, they will be radically different.

4. Continue evolving the population by repeating steps two and three until you have created the creatures you wish to set dancing to music.

Hint: You can copy and paste your new creations into a new population just as in an ordinary document. Select them, then copy them with the copy command, and paste them into a new document.

Hint: 'Add' adds new and un-evolved members to the active population. By then mutating some evolved members of the population you can - by using add - increase the size of the population.

Hint: Use the 'Parents' pop-up menu to choose whether parents survive into next generation ('Keep') or are killed off ('Cut').


Window Menu

Dancer DNA population windows are like any other document window, and can be arranged as tiles or cascaded to provide views of all open populations.


Help Menu

Displays explanatory material either as context sensitive help or as a list of help topics.

Start Wizard

Launches the Start Wizard. This helps you get started quickly by making sure your audio level is correct and loading a population for animation.


File Toolbar

New

Creates an empty population.

This population can then be filled by using the Paste command to call evolved creations from the clipboard.

Open

Opens or finds a population. As Dancer DNA’s populations require quite significant amounts of RAM to live on we recommend you keep as few populations open at the same time as possible.

Save

Saves the active population with its current filename and location.

Save as

Saves the active population with the filename and location you specify.

Copy

Copies selected members of the active population onto the clipboard.

Cut

Removes selected members of the active population and places them on the clipboard.

This function has a dual use, as it's the only way to remove a member from a population.

Paste

Adds the contents of the clipboard to the active population.

What’s this?

Provides context sensitive help. Place the ? cursor over any feature and click. The help system should then provide an explanation of that feature.

Help

Provides a list of help topics in a searchable form.


Animate Toolbar

Animate button

Launches the Animate dialog and creates a genespace through which the population will dance. You will be offered the choice of driving the animation by either music from an audio CD or from an MP3 Player. Please use these buttons to launch your sound source.

To get started please see the help for the Animate menu.

If a population is responding sluggishly, then either the genespace is too large and is being partially stored in virtual memory, or the population is too complex.

If it’s the former the dance will ‘stick’ as the hard disc is accessed. To prevent this you should reduce the number of frames (see below).

If the response is always sluggish, then the population is probably too complex. Try choosing populations from a lower specced folder.

A faster processor - and/or a 3D graphics card - will also significantly increase the speed of an animation.

Music style

Each music style presented in the selection box sets a number of triggers which control how animations respond to the music. One style might, for example, set the animation to evolve on the bass-line, rotate on the vocal, and move with the volume.

Each style has been optimised for a particular type of music. However, each track is different, and if the obvious style is not working just try another. If your type of music is not mentioned, again, just try another suitable style.

You can also create your own styles. Dancer DNA allows you to closely tie your animations to your music through creating your own music styles. You can make changes to the currently selected style by pressing the Dance Settings button. You can then save your changes under the same name or create a new style using the 'Save As...' option under the File menu.

Dance Settings button

Launches the Dance Settings dialog. This provides you with the controls to closely link your animation to your music by tweaking the settings of the currently selected music style.

With the Morph control you can set the trigger for the creature to evolve. The Zoom, Spin, and Stability, Morph Reverse, and Rotate 2D controls determine its movement to the music.

Default button

Sets settings to default values automatically calculated from the power of your computer. Should be a safe bet for a smooth dance.


Mutation Toolbar

Mutate

Creates the next generation of the active population by mutating the selected members.

The severity of the mutation can be controlled by setting the mutation factor.

Breed

Creates the next generation of the active population by breeding the selected members.

You'll need to choose at least two creatures to breed with.

Mutation factor

Sets the severity of mutation between generations.

In Dancer DNA the amount of change between generations caused by mutation can be controlled by adjusting the Mutation Factor. Setting the slider to the left reduces the amount of change caused by mutation, while setting it to the right increases it.

Like in the natural world, however, most mutations are damaging. If memory allows, keep populations of nine or more to avoid the disappointment of damaging mutations.

Add

Adds new and un-evolved members to the active population. By then mutating some evolved members of the population you can - by using add - increase the size of the population.


Animate Dialog

Creates a genespace through which the population will dance and offers you the choice of driving the animation by either music from an audio CD or from an MP3 Player. Please use these buttons to launch your sound source.

The GO button only comes ‘live’ once the genespace is built. Please ensure you have some music running before clicking it. Without music the animations are just an unevolving speck in the distance.

If your animation looks like this even with music playing, you could try changing the sensitivity boost, or you may need to configure your Windows Volume Control.

To return from an animation press Esc.


Textures and Backgrounds Dialog

Backgrounds

In addition to the normal black background any population can have a colour or image background. Just select a background or colour (in '< >' brackets). All the bitmap (.bmp) files found in the 'Backgrounds' subdirectory are listed. The currently selected background is stored out in the .pop file. The background can be turned on and off by ticking or unticking the tick box. By default this is on, so any changes you make will be activated. To add your own backgrounds to background list see Textures and Backgrounds.

Textures

If the creature has been designed using textures (usually, the name has 'tm' suffix), then changing the textures for textures 0, 1, 2, and 3 changes the textures that correspond to those values set in the .pop file. These will only have an effect on texture numbers that are set in the population. Textures can be turned on and off by ticking or unticking the tick box. By default this is on, so any changes you make will be activated. If textures are off, the creature will appear as its base colour, which is often white. To add your own textures to the texture list see Textures and Backgrounds.


Real Time Music Styles Dialog

This dialog lets you select ‘Real Time Music Styles’. These are styles which you can load during a dance, by simply pressing function keys on your keyboard.

You can nominate eleven styles to be Real Time Styles. The F2 to F12 keys load these styles during a dance. Also, the F1 key returns you to the style which you originally selected before animating.

The dialog has four combo-boxes which allow you to nominate the eleven styles you want to be Real Time Styles. Press the down-arrow at the right of a combo-box to view the list of styles, and click on one of the styles to nominate it. When you are happy with your nominations, press OK. Alternatively, press Cancel to undo your nominations.


Morph tab

These controls connect the evolution of a population to music. For a more detailed explanation see the Dance Settings section.

Morph speed

Determines the maximum speed at which a species travels through genespace. We usually use values between 10 and 35.

Morph acceleration

Determines how much a music pulse accelerates - or ‘pushes’ - a species through the genespace. Low values - below 10 - create a smoother acceleration while higher values provide a more direct response to the music. If the animation never stops morphing, even though you know the channel isn't being triggered all the time, increase the acceleration.

Music Channel, Sensitivity and Threshold

See Input Controls, for a more detailed explanation of how these controls work.


Zoom tab

Zoom Factor

The Zoom factor determines how fast the animation zooms in and out of the screen.

Lower values - below 1 - generate more gentle animations. A value of 0.5 is a good starting point for experimentation. If the value is too small then the shape will take a long time to reach its maximum size (and may need to be kicked into view. Generally, this effect uses one of the 'volume' channels; 'volume smooth' is best for low values (below 1), while 'volume jitter' is good for high values.

Music Channel, Sensitivity and Threshold

See Input Controls, for a more detailed explanation of how these controls work.


Spin tab

Sets the minimum and maximum values for a creature’s speed of rotation. For a more detailed explanation see the Dance Settings section.

Maximum Speed

Sets the minimum speed of a creature’s rotation. Values above 30 can get pretty wild.

Minimum Speed

Sets the maximum speed of a creature’s rotation. This should normally be set low. A setting of 0 can create very gentle animations.

Smooth Cornering CheckBox

Whenever there is an Axis change (see Axis stability), the shape rotates smoothly to the new orientation, taking 'smoothness' number of frames.

With smooth cornering enabled it is possible to increase the Maximum speed above 30 without things going top crazy.

Smoothness

How many frames of animation the shape takes to reach its new spin orientation. A good starting number is 10 frames. If you increase this value too much, the shape loses the crispness of its response.

Music Channel, Sensitivity and Threshold

See Input Controls, for a more detailed explanation of how these controls work.


Stability tab

Axis Stability tab

Controls how frequently a creature twists and turns to the music. For a more detailed explanation see the Dance Settings section.

Stability Slider

See Stability Controls for a more detailed explanation of how these controls work.

Each time an axis change occurs, the spin channel is read to determine how fast the shape should spin.

Music Channel, Sensitivity and Threshold

See Input Controls, for a more detailed explanation of how these controls work.


flat_tab

2D Rotation Tab

In Rotate 2D mode the shape spins only in 2D - face on - and gives an effect like a kaleidoscope on a lot of shapes.

Default On

Clear this check box clear if the rotate 2D effect isn't appropriate for your shape.

On and Off Count

These two controls manage how often and for how long that the shape rotates in two dimensions. Whenever the effect triggers (see the Stability below) then a counter is incremented. The effect stays on the number of triggers specified in the On Control, and the same again for Off. Additionally, when the effect changes from Off to On (this is different from being disabled - being disabled means it will never change between Off and On), then the shape jumps to its starting rotation (this is so it can rotate on its most interesting axis).

Stability

See Stability Controls, for a more detailed explanation of how these controls work.

Music Channel, Sensitivity and Threshold

See Input Controls, for a more detailed explanation of how these controls work.


reverse_tab

Morph Reverse Tab

The Morph Reverse trigger alters the direction of the morph space. For a more detailed explanation see the Dance Settings section.

Default On

Clear this check box clear if the Morph Reverse effect isn't appropriate for your shape.

On and Off Count

These two controls manage the frequency in which the shape switches its morph direction. Whenever the effect triggers (see the Stability below) then a counter is incremented. The effect stays on the number of triggers specified in the On control, and the same again for Off. When the effect is on, each time there is a Trigger then the morph direction reverses.

If the On count is an odd number, then the non-reversing part of the animation will go in different directions.

Stability

See Stability Controls, for a more detailed explanation of how these controls work.

Music Channel, Sensitivity and Threshold

See Input Controls, for a more detailed explanation of how these controls work.


Support FAQ

Problems with running Dancer DNA? Check here for:

When I try to launch an animation I just get a speck in the distance. How do I get it dancing?

Firstly, please use the CD Player or MP3 Player buttons on the Animate dialogue to launch your music player. This will tell Dancer DNA which sound source you're using.

Then you can check if Dancer DNA is receiving that sound source by hitting Tab while it's in full-screen mode. Are the green figures on the left - which represent the live feed - changing? (You can get rid of the figures by hitting Tab again.)

Yes - then Dancer DNA is receiving a sound feed but it's too quiet. You can either increase the volume of the feed through the Windows Record Control (see below) or increase the sensitivity of Dancer DNA. You can do the latter by using the sensitivity boost: simply press down the Up-Arrow key while Dancer DNA is in full-screen and the music is playing. After a few seconds your animation should come to the front of the screen. Use the Up and Down arrow keys to get a comfortable sensitivity setting.

No - then Dancer DNA is not receiving a sound feed. You'll need to configure the Windows Recording Control - and send us the name of your sound card!

To configure the recording control, select Volume Control under the Windows Start menu. It's found under Programs, then Accessories, then Multimedia for Windows '95 or Entertainment for Windows '98. Select Properties under the Options menu and select the Recording button. If you're using an audio CD make sure the CD Audio tick box is ticked. If you're using MP3 ensure either wav/synth, mixer out, master out, stereo mix out or wave record balance is ticked. Then click OK. The Windows Recording Control should now replace the Windows Volume Control. (It looks much the same, just a different name at the top.) Now ensure that either the CD-Audio check box is selected or, if you're using MP3, that one of the MP3 inputs mentioned above is selected. Also ensure that the corresponding slider is up near or at the top. Dancer DNA should now dance.

The strobe music style doesn't seem to do anything - the creature just disappears. What can I do to get it strobing?

The strobe style is set to flash forward on the rimshot. But it's finely balanced. You could try increasing Dancer DNA's sensitivity with the sensitivity boost. Simply press the Up-Arrow key during the dance until you get to a point when the animation flashes to the front of the screen and back. Alternatively, you could always take the zoom off the rimshot and onto another music channel - perhaps a bass strobe?

Dancer DNA works fine with my Audio CD player, but not with my MP3 player. What am I doing wrong?

Are you launching your MP3 player from the Animate dialog? Doing so tells Dancer DNA to expect the right kind of audio feed. If you're still having a problem check your Windows Recording Control.

I've got all the beasties in the population selected and I'm trying to breed them all together. But all I get after using the breed operator is the same old population. What's up?

You've probably got 'Keep Parents' selected under the Evolve menu. Dancer DNA is keeping all your selected creatures into the next generation and has no space to display any of their children. If you're going to select all the members of a population you'll need to select 'Cut Parents' before doing a mutation or a breed.

It takes ages for a creature to load or breed

If a population is responding sluggishly, then either the genespace is too large and is being partially stored in virtual memory, or the population is too complex.

If it's the former the dance will 'stick' as the hard disc is accessed. To prevent this you should reduce the Number of Frames.

If the response is always sluggish, then the population is probably too complex. Try choosing populations from a lower specced folder.

A faster processor - and/or a 3D graphics AGP card - will also significantly increase the speed of an animation.

Texture questions:

I know my population has textures, but I can't see them in the windows.

Try animating, and pressing 'GO', or double click on the window to launch full screen mode. As long as you have 3D hardware acceleration on your AGP card, you should be seeing textures. Textures in windows mode are enabled if 3D hardware acceleration is enabled in Windows mode. Again, if you have a 2D/3D AGP video card, some cards only support hardware acceleration in 16-bit, so try setting your windows display to 16-bit. If you are using a PCI card, you won't get textures, because of the problem mentioned below.

Runtime questions:

In Fullscreen mode, when the shape mutates, the movement is very jittery. How can I stop this?

Your problem is that your animation does not have enough frames in it. Select the Animation menu, then 'Number of frames' and increase the number therein. Alternatively, cull some of your creatures, and keep the 'Number of Frames' the same.

Why can't I get DancerDNA to use my super duper PCI graphics card?

Unfortunately, DanceDNA has a slight technical glitch at present and only the primary graphics card is detected and used. Hopefully, this will be sorted out for the next release.


Number of frames

Sets the size of the genespace, i.e. how many creatures are created for an animation.

The higher the number, the smoother the animation. But there is a corresponding increase in the amount of RAM required.

Allowing twenty frames per member of the animation population is a good - but rough and ready - compromise. Increasing the number would generate a smoother animation but is likely to result in a reduction in the size - and thus diversity - of the animation population because of RAM limitations.

Press ‘Enter’ when you have set a value.


Dancer DNA

There is no help associated with this item. To start using Dancer DNA, see the following:

Home Page

Getting started with animations.

Getting started with evolving your own populations.